Bric::Util::Trans::WebDAV(3p)

NAME
Bric::Util::Trans::WebDAV - WebDAV Client interface for distributing resources.

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2006-05-25 20:23:06 +0200 (Thu, 25 May 2006) $

SYNOPSIS
  use Bric::Util::Trans::WebDAV

DESCRIPTION
The distribution API uses this class to distribute resources to other servers via WebDAV

INTERFACE

  Constructors
NONE.

  Destructors
NONE.

  Public Class Methods
NONE.

  Public Instance Methods
NONE.

  Public Functions

my $bool = Bric::Util::Trans::WebDAV->put_res($resources, $st)
    Puts the files specified by the $job object on the servers specified by $st.

    Throws:

    *   Unable to create DAV object

    *   Unable to connect to remote server.

    *   Unable to login to remote server.

    *   Unable to create directory on remote server.

    *   Unable to put resource on remote server.

    *   Unable to rename resource on remote server.

    *   Unable to properly close connection to remote server.

    Side Effects: NONE.

    Notes: Uses HTTP::DAV internally.

my $bool = Bric::Util::Trans::WebDAV->del_res($resources, $st)
    Deletes the files specified by the $job object from the servers specified by $st.

    Throws:

    *   Unable to connect to remote server.

    *   Unable to login to remote server.

    *   Unable to delete resource from remote server.

    *   Unable to properly close connection to remote server.

    Side Effects: NONE.

    Notes: See put_res(), above.

PRIVATE

  Private Class Methods
NONE.

  Private Instance Methods
NONE.

  Private Functions
NONE.

NOTES
NONE.

AUTHOR
Joao Pedro Goncalves <joaop@co.sapo.pt<gt>

SEE ALSO
Bric, Bric::Dist::Action, Bric::Dist::Action::Mover, Bric::Util::Trans::FS